## lomiri-telephony-service 0.5

=== CMakeLists.txt ===
project(telephony-service)
cmake_minimum_required(VERSION 2.8)
set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules)

# Standard install paths
include(GNUInstallDirs)

# Check for include files
include(CheckIncludeFileCXX)
include(CheckIncludeFile)

# Instruct CMake to run moc automatically when needed.
set(CMAKE_AUTOMOC ON)

# just to make debug easier, print the system processor
message(STATUS "System processor: ${CMAKE_SYSTEM_PROCESSOR}")

set(TELEPHONY_SERVICE_DIR ${CMAKE_INSTALL_DATADIR}/telephony-service)

configure_file(config.h.in ${CMAKE_CURRENT_BINARY_DIR}/config.h @ONLY)

# uninstall target
configure_file("${CMAKE_CURRENT_SOURCE_DIR}/cmake_uninstall.cmake.in"
               "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
               IMMEDIATE @ONLY)
add_custom_target(uninstall "${CMAKE_COMMAND}"
                  -P "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake")

find_package(Qt5Contacts)
find_package(Qt5DBus)
find_package(Qt5Multimedia)
find_package(Qt5Qml)
find_package(Qt5Quick)
find_package(Qt5Test)
find_package(Qt5Feedback)
find_package(Qt5Network)
find_package(LibPhoneNumber REQUIRED)

include(qt5)

option(SKIP_QML_TESTS "Skip QML tests" OFF)
option(WANT_UI_SERVICES "Enable build of UI services" ON)

if(CMAKE_CROSSCOMPILING)
    find_program(QMAKE_EXECUTABLE qmake)
    if(QMAKE_EXECUTABLE STREQUAL "QMAKE_EXECUTABLE-NOTFOUND")
        message(FATAL_ERROR "qmake not found")
    endif()
    execute_process(
        COMMAND ${QMAKE_EXECUTABLE} -query QT_INSTALL_QML
        RESULT_VARIABLE RESULT
        OUTPUT_VARIABLE QT_INSTALL_QML
        OUTPUT_STRIP_TRAILING_WHITESPACE
    )
    if(NOT RESULT EQUAL 0)
        message(FATAL_ERROR "Failed to determine QT_INSTALL_QML from qmake")
    endif()
else()
    # qmake isn't multi-arch aware as it installs arch-specific mkspec files
    # in to /usr/share, so we can't use it here (we'd need a qmake binary
    # for the host arch using data for the target arch)
    set(QT_INSTALL_QML "/usr/lib/${CMAKE_LIBRARY_ARCHITECTURE}/qt5/qml")
endif()

find_package(PkgConfig REQUIRED)
pkg_check_modules(TP_QT5 REQUIRED TelepathyQt5)
pkg_check_modules(TP_QT5_FS REQUIRED TelepathyQt5Farstream)
pkg_check_modules(NOTIFY REQUIRED libnotify)
pkg_check_modules(TPFS REQUIRED telepathy-farstream)
pkg_check_modules(GST REQUIRED gstreamer-1.0)
pkg_check_modules(FS REQUIRED farstream-0.2)
pkg_check_modules(PULSEAUDIO libpulse)
pkg_check_modules(HISTORY REQUIRED history-service)

if (WANT_UI_SERVICES)
    pkg_check_modules(MESSAGING_MENU REQUIRED messaging-menu)
    pkg_check_modules(UserMetrics REQUIRED libusermetricsinput-1)
    pkg_check_modules(URL_DISPATCHER REQUIRED lomiri-url-dispatcher)

    add_definitions(-DWANT_UI_SERVICES)
    message("Building with UI services")
else()
    message("Bulding of UI services is disabled")
endif()

add_definitions(-DQT_NO_KEYWORDS)

include_directories(
    ${CMAKE_CURRENT_BINARY_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}
    )

# generate a macro to make it easier to enable coverage support on targets
function(ENABLE_COVERAGE)
    get_directory_property(COVERAGE_TARGETS DIRECTORY ${CMAKE_SOURCE_DIR} COVERAGE_TARGETS)
    list(APPEND COVERAGE_TARGETS ${ARGN})
    MESSAGE(STATUS "Enabling coverage report for target(s): ${ARGN}")
    set_property(DIRECTORY ${CMAKE_SOURCE_DIR} PROPERTY COVERAGE_TARGETS ${COVERAGE_TARGETS})
endfunction()

enable_testing()

add_definitions(-std=c++11)

set(DATA_DIR "${CMAKE_SOURCE_DIR}/data")
# install assets
set(ASSETS_DIR assets)
install(DIRECTORY ${ASSETS_DIR} DESTINATION ${TELEPHONY_SERVICE_DIR})

add_subdirectory(libtelephonyservice)
add_subdirectory(Lomiri)
add_subdirectory(handler)
add_subdirectory(tools)
add_subdirectory(icons)
add_subdirectory(po)
add_subdirectory(tests)
add_subdirectory(protocols)

if (WANT_UI_SERVICES)
    add_subdirectory(indicator)
    add_subdirectory(approver)
endif()

include(EnableCoverageReport)
#####################################################################
# Enable code coverage calculation with gcov/gcovr/lcov
# Usage:
#  * Switch build type to coverage (use ccmake or cmake-gui)
#  * Invoke make, make test, make coverage
#  * Find html report in subdir coveragereport
#  * Find xml report feasible for jenkins in coverage.xml
#####################################################################
IF(CMAKE_BUILD_TYPE MATCHES [cC][oO][vV][eE][rR][aA][gG][eE])
  SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -ftest-coverage -fprofile-arcs" )
  SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -ftest-coverage -fprofile-arcs" )
  SET(CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} -coverage" )
  SET(CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -coverage" )
  GET_DIRECTORY_PROPERTY(COVERAGE_TARGETS DIRECTORY ${CMAKE_SOURCE_DIR} COVERAGE_TARGETS)
  ENABLE_COVERAGE_REPORT(TARGETS ${COVERAGE_TARGETS})
ENDIF(CMAKE_BUILD_TYPE MATCHES [cC][oO][vV][eE][rR][aA][gG][eE])

=== indicator/CMakeLists.txt ===

set(qt_SRCS
    authhandler.cpp
    callchannelobserver.cpp
    displaynamesettings.cpp
    messagingmenu.cpp
    metrics.cpp
    textchannelobserver.cpp
    ussdindicator.cpp
    notificationmenu.cpp
    voicemailindicator.cpp
    indicatordbus.cpp
    )

set_source_files_properties(
        "${DATA_DIR}/org.freedesktop.Notifications.xml"
        PROPERTIES
        INCLUDE "${CMAKE_SOURCE_DIR}/indicator/DBusTypes.h"
)

qt5_add_dbus_interface(
        qt_SRCS
        "${DATA_DIR}/org.freedesktop.Notifications.xml"
        NotificationsInterface
)
qt5_add_dbus_adaptor(qt_SRCS Indicator.xml indicator/indicatordbus.h IndicatorDBus)

set(indicator_SRCS main.cpp ${qt_SRCS})


include_directories(
    ${TP_QT5_INCLUDE_DIRS}
    ${NOTIFY_INCLUDE_DIRS}
    ${MESSAGING_MENU_INCLUDE_DIRS}
    ${CMAKE_SOURCE_DIR}/libtelephonyservice
    ${CMAKE_CURRENT_BINARY_DIR}
    ${UserMetrics_INCLUDE_DIRS}
    ${HISTORY_INCLUDE_DIRS}
    )

link_directories(${MESSAGING_MENU_LIBRARY_DIRS})

add_executable(telephony-service-indicator ${indicator_SRCS} ${indicator_HDRS})

target_link_libraries(telephony-service-indicator
    ${TP_QT5_LIBRARIES}
    ${NOTIFY_LIBRARIES}
    ${MESSAGING_MENU_LIBRARIES}
    ${UserMetrics_LIBRARIES}
    ${HISTORY_LIBRARIES}
    telephonyservice
    Qt5::Contacts
    Qt5::Core
    Qt5::DBus
    Qt5::Gui
    Qt5::Multimedia
    Qt5::Qml
    )

enable_coverage(telephony-service-indicator)

configure_file(org.freedesktop.Telepathy.Client.TelephonyServiceIndicator.service.in org.freedesktop.Telepathy.Client.TelephonyServiceIndicator.service)
install(TARGETS telephony-service-indicator RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR})
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/org.freedesktop.Telepathy.Client.TelephonyServiceIndicator.service DESTINATION share/dbus-1/services)
install(FILES TelephonyServiceIndicator.client DESTINATION share/telepathy/clients)

# Handle i18n in desktop files
set(desktop_FILES telephony-service-sms.desktop telephony-service-call.desktop)

foreach(DESKTOP_FILE ${desktop_FILES})
    file(REMOVE ${CMAKE_CURRENT_BINARY_DIR}/${DESKTOP_FILE})
    file(STRINGS ${DESKTOP_FILE}.in DESKTOP_FILE_CONTENTS)
    foreach(LINE ${DESKTOP_FILE_CONTENTS})
        string(REGEX REPLACE "tr\\\(\"(.*)\"\\\)" "\\1" LINE "${LINE}")
        file(APPEND ${CMAKE_CURRENT_BINARY_DIR}/${DESKTOP_FILE} "${LINE}\n")
    endforeach(LINE)
endforeach(DESKTOP_FILE)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/telephony-service-sms.desktop ${CMAKE_CURRENT_BINARY_DIR}/telephony-service-call.desktop
        DESTINATION ${CMAKE_INSTALL_DATADIR}/applications)

add_subdirectory(icons)

=== debian/changelog ===
lomiri-telephony-service (0.5-2) unstable; urgency=medium

  * Re-upload as is source-only.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 26 Jan 2023 20:27:52 +0100

lomiri-telephony-service (0.5-1) unstable; urgency=medium

  * Initial upload to Debian. (Closes: #1028589).

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 14 Jan 2023 15:53:04 +0100

## lomiri-telephony-service 0.5.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
-project(telephony-service)
-cmake_minimum_required(VERSION 2.8)
+cmake_minimum_required(VERSION 3.5)
+project(telephony-service VERSION 0.5.1 LANGUAGES CXX)
 set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules)
 
 # Standard install paths

=== handler/CMakeLists.txt ===
if (PULSEAUDIO_FOUND)
    add_definitions(-DUSE_PULSEAUDIO)
    set(USE_PULSEAUDIO ON)
    set(QPULSEAUDIOENGINE_CPP qpulseaudioengine.cpp)
endif (PULSEAUDIO_FOUND)

set(qt_SRCS
    accountproperties.cpp
    callagent.cpp
    audioroutemanager.cpp
    callhandler.cpp
    chatstartingjob.cpp
    farstreamchannel.cpp
    handler.cpp
    handlerdbus.cpp
    messagejob.cpp
    messagesendingjob.cpp
    powerdaudiomodemediator.cpp
    powerddbus.cpp
    texthandler.cpp
    ${QPULSEAUDIOENGINE_CPP}
    )

set(handler_SRCS main.cpp ${qt_SRCS})
qt5_add_dbus_adaptor(handler_SRCS Handler.xml handler/handlerdbus.h HandlerDBus)
qt5_add_dbus_adaptor(handler_SRCS ChatStartingJob.xml handler/chatstartingjob.h ChatStartingJob)
qt5_add_dbus_adaptor(handler_SRCS MessageSendingJob.xml handler/messagesendingjob.h MessageSendingJob)

include_directories(
    ${TP_QT5_INCLUDE_DIRS}
    ${TPFS_INCLUDE_DIRS}
    ${FS_INCLUDE_DIRS}
    ${GST_INCLUDE_DIRS}
    ${CMAKE_SOURCE_DIR}/libtelephonyservice
    ${CMAKE_CURRENT_BINARY_DIR}
    ${PULSEAUDIO_INCLUDE_DIRS}
    ${HISTORY_INCLUDE_DIRS}
    )

add_executable(telephony-service-handler ${handler_SRCS} ${handler_HDRS})

target_link_libraries(telephony-service-handler
    ${TP_QT5_LIBRARIES}
    ${TP_QT5_FS_LIBRARIES}
    ${TPFS_LIBRARIES}
    ${FS_LIBRARIES}
    ${HISTORY_LIBRARIES}
    telephonyservice
    ${PULSEAUDIO_LIBRARIES}
    Qt5::Contacts
    Qt5::Core
    Qt5::DBus
    Qt5::Qml
    )

enable_coverage(telephony-service-handler)

configure_file(com.lomiri.TelephonyServiceHandler.service.in com.lomiri.TelephonyServiceHandler.service)
configure_file(org.freedesktop.Telepathy.Client.TelephonyServiceHandler.service.in org.freedesktop.Telepathy.Client.TelephonyServiceHandler.service)

install(TARGETS telephony-service-handler RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR})
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/org.freedesktop.Telepathy.Client.TelephonyServiceHandler.service DESTINATION share/dbus-1/services)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/com.lomiri.TelephonyServiceHandler.service DESTINATION share/dbus-1/services)
install(FILES TelephonyServiceHandler.client DESTINATION share/telepathy/clients)

=== po/CMakeLists.txt ===
include(FindGettext)

find_program(GETTEXT_XGETTEXT_EXECUTABLE xgettext)
if("${GETTEXT_XGETTEXT_EXECUTABLE}" STREQUAL "GETTEXT_XGETTEXT_EXECUTABLE-NOTFOUND")
    message(FATAL_ERROR "Could not find xgettext")
endif()

set(DOMAIN ${PROJECT_NAME})
set(POT_FILE ${DOMAIN}.pot)
set(DESKTOP_IN_FILES
    indicator/telephony-service-call.desktop.in
    indicator/telephony-service-sms.desktop.in)

file(STRINGS ${CMAKE_CURRENT_SOURCE_DIR}/LINGUAS LINGUAS
     REGEX "^[^#].*")
string(REGEX MATCHALL "[^ \t]+" LANGS "${LINGUAS}")

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/POTFILES.in
               ${CMAKE_CURRENT_BINARY_DIR}/POTFILES COPYONLY)

add_custom_target(${POT_FILE} ALL
                  COMMENT "Generating translation template"
                  COMMENT "Generating translation template"
                  # Extract the translatable messages from the desktop file
                  COMMAND ${GETTEXT_XGETTEXT_EXECUTABLE} -o ${POT_FILE}
                          --from-code=UTF-8
                          --language=Desktop
                          --package-name='${PROJECT_NAME}'
                          --copyright-holder='Canonical Ltd.'
                          -D ${CMAKE_SOURCE_DIR}
                          ${DESKTOP_IN_FILES}
                  COMMAND ${GETTEXT_XGETTEXT_EXECUTABLE} -o ${POT_FILE}
                          -D ${CMAKE_SOURCE_DIR}
                          -D ${CMAKE_CURRENT_SOURCE_DIR}
                          -D ${CMAKE_CURRENT_BINARY_DIR}
                          --from-code=UTF-8
                          --c++
                          --qt
                          --add-comments=TRANSLATORS
                          --keyword=tr
                          --keyword=tr:1,2
                          --keyword=GettextMarkExtraction
                          --package-name='${PROJECT_NAME}'
                          --copyright-holder='Canonical Ltd.'
                          --join-existing
                          --files-from=${CMAKE_CURRENT_BINARY_DIR}/POTFILES)

foreach(LANG ${LANGS})
    configure_file(${CMAKE_CURRENT_SOURCE_DIR}/${LANG}.po
                   ${CMAKE_CURRENT_BINARY_DIR}/${LANG}.po
                   COPYONLY)
endforeach(LANG)
gettext_process_pot_file(${POT_FILE} ALL
                         INSTALL_DESTINATION ${CMAKE_INSTALL_LOCALEDIR}
                         LANGUAGES ${LANGS})

=== tools/CMakeLists.txt ===
install(PROGRAMS ofono-setup DESTINATION ${CMAKE_INSTALL_BINDIR})
install(PROGRAMS phone-gsettings-migration.py DESTINATION ${CMAKE_INSTALL_BINDIR})

=== Lomiri/Telephony/CMakeLists.txt ===
# QML plugin

set(plugin_SRCS
    presencerequest.cpp
    participantsmodel.cpp
    components.cpp
    )

include_directories(
    ${TP_QT5_INCLUDE_DIRS}
    ${CMAKE_SOURCE_DIR}/libtelephonyservice
    )

add_library(telephonyservice-qml SHARED ${plugin_SRCS} ${plugin_HDRS})

target_link_libraries(telephonyservice-qml
    ${TP_QT5_LIBRARIES}
    telephonyservice
    Qt5::Contacts
    Qt5::Core
    Qt5::Qml
    Qt5::Quick
    )

enable_coverage(telephonyservice-qml)

configure_file(qmldir.in ${CMAKE_CURRENT_BINARY_DIR}/qmldir)
set(PLUGIN_DIR ${QT_INSTALL_QML}/Lomiri/Telephony)
install(TARGETS telephonyservice-qml DESTINATION ${PLUGIN_DIR})
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/qmldir DESTINATION ${PLUGIN_DIR})

add_subdirectory(PhoneNumber)

=== tests/Lomiri.Telephony/CMakeLists.txt ===
include_directories(
    ${CMAKE_CURRENT_BINARY_DIR}
    ${TP_QT5_INCLUDE_DIRS}
    ${CMAKE_SOURCE_DIR}/Lomiri/Telephony
    ${CMAKE_SOURCE_DIR}/libtelephonyservice
    ${CMAKE_SOURCE_DIR}/tests/common
    ${CMAKE_BINARY_DIR}/tests/common
    ${GSETTINGS_QT_INCLUDE_DIRS}
    )

set(SOURCE_DIR ${CMAKE_SOURCE_DIR}/Lomiri/Telephony)
generate_test(ContactWatcherTest USE_UI
              SOURCES ContactWatcherTest.cpp
              LIBRARIES telephonyservice-qml Qt5::Contacts Qt5::Core Qt5::DBus Qt5::Qml Qt5::Test)

if(NOT SKIP_QML_TESTS)
    generate_test(context_properties QML_TEST tst_contextProperties.qml)
    generate_test(phonenumber_field QML_TEST tst_PhoneNumberField.qml)
    generate_test(phonenumber_input QML_TEST tst_PhoneNumberInput.qml)
    generate_test(phonenumber_utils QML_TEST tst_PhoneNumberPhoneUtils.qml)
endif()

generate_telepathy_test(PresenceRequestTest 
                        SOURCES PresenceRequestTest.cpp 
                        LIBRARIES ${TP_QT5_LIBRARIES} telephonyservice mockcontroller telepathytest telephonyservice-qml)

# make the files visible on qtcreator
file(GLOB QML_TESTS *.qml *.js)
add_custom_target(telephonyservice_QMLTESTS ALL SOURCES ${QML_TESTS})

=== tests/approver/CMakeLists.txt ===
include_directories(
    ${CMAKE_CURRENT_BINARY_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}/../common
    ${CMAKE_SOURCE_DIR}
    ${CMAKE_SOURCE_DIR}/libtelephonyservice
    ${CMAKE_BINARY_DIR}/tests/common
    ${TP_QT5_INCLUDE_DIRS}
    ${GSETTINGS_QT_INCLUDE_DIRS}
    )

if (NOT ("${CMAKE_SYSTEM_PROCESSOR}" STREQUAL "aarch64"))
    generate_telepathy_test(ApproverTest
                            SOURCES ApproverTest.cpp approvercontroller.cpp
                            TASKS --task ${CMAKE_BINARY_DIR}/approver/telephony-service-approver --task-name telephony-service-approver --wait-for com.lomiri.TelephonyServiceHandler --ignore-return
                            WAIT_FOR org.freedesktop.Telepathy.Client.TelephonyServiceApprover)
endif()

=== tests/indicator/CMakeLists.txt ===
include_directories(
    ${CMAKE_CURRENT_BINARY_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}/../common
    ${CMAKE_CURRENT_BINARY_DIR}/../common
    ${CMAKE_SOURCE_DIR}
    ${CMAKE_SOURCE_DIR}/libtelephonyservice
    ${CMAKE_SOURCE_DIR}/indicator
    ${MESSAGING_MENU_INCLUDE_DIRS}
    ${NOTIFY_INCLUDE_DIRS}
    ${TP_QT5_INCLUDE_DIRS}
    ${HISTORY_INCLUDE_DIRS}
    ${GSETTINGS_QT_INCLUDE_DIRS}
    )

if (NOT ("${CMAKE_SYSTEM_PROCESSOR}" STREQUAL "aarch64"))
    generate_telepathy_test(MessagingMenuTest
                            SOURCES MessagingMenuTest.cpp messagingmenumock.cpp ${CMAKE_SOURCE_DIR}/indicator/messagingmenu.cpp
                            LIBRARIES ${TP_QT5_LIBRARIES} telephonyservice mockcontroller telepathytest ${HISTORY_LIBRARIES}
                            TASKS --task xvfb-run -p -a -p ${CMAKE_BINARY_DIR}/indicator/telephony-service-indicator
                                   --task-name telephony-service-indicator
                                   --wait-for com.lomiri.TelephonyServiceHandler
                                   --ignore-return)
endif()

qt5_add_dbus_interface(
        qt_SRCS
        "${DATA_DIR}/org.freedesktop.Notifications.xml"
        NotificationsInterface
)
generate_telepathy_test(AuthHandlerTest
              SOURCES AuthHandlerTest.cpp ${CMAKE_SOURCE_DIR}/indicator/authhandler.cpp
                      ${CMAKE_SOURCE_DIR}/indicator/notificationmenu.cpp ${qt_SRCS}
              LIBRARIES ${TP_QT5_LIBRARIES} telephonyservice mockcontroller telepathytest ${HISTORY_LIBRARIES} ${NOTIFY_LIBRARIES})
generate_test(NotificationMenuTest
              SOURCES NotificationMenuTest.cpp ${CMAKE_SOURCE_DIR}/indicator/notificationmenu.cpp
              LIBRARIES ${NOTIFY_LIBRARIES} Qt5::Core Qt5::DBus Qt5::Test
              USE_DBUS TRUE)

=== tests/libtelephonyservice/CMakeLists.txt ===
set(LIBTELEPHONYSERVICE_DIR ${CMAKE_SOURCE_DIR}/libtelephonyservice)
include_directories(
    ${CMAKE_CURRENT_BINARY_DIR}
    ${LIBTELEPHONYSERVICE_DIR}
    ${TP_QT5_INCLUDE_DIRS}
    ${CMAKE_SOURCE_DIR}/tests/common
    ${CMAKE_BINARY_DIR}/tests/common
    ${GSETTINGS_QT_INCLUDE_DIRS}
    )

add_executable(GreeterContactsTestServerExe GreeterContactsTestServer.cpp)
target_link_libraries(GreeterContactsTestServerExe Qt5::Core Qt5::DBus)

add_executable(ToneGeneratorMock ToneGeneratorMock.cpp)
target_link_libraries(ToneGeneratorMock Qt5::Core Qt5::DBus)

add_executable(IndicatorMock IndicatorMock.cpp)
target_link_libraries(IndicatorMock Qt5::Core Qt5::DBus)

generate_test(GreeterContactsTest USE_DBUS
              SOURCES GreeterContactsTest.cpp ${LIBTELEPHONYSERVICE_DIR}/greetercontacts.cpp
              LIBRARIES Qt5::Contacts Qt5::Core Qt5::DBus Qt5::Test
              ENVIRONMENT XDG_SESSION_CLASS=greeter XDG_GREETER_DATA_DIR=${CMAKE_BINARY_DIR}/Testing/Temporary
              TASKS --task ${CMAKE_CURRENT_BINARY_DIR}/GreeterContactsTestServerExe --task-name server --ignore-return
              WAIT_FOR org.freedesktop.Accounts)
set_target_properties(GreeterContactsTest PROPERTIES COMPILE_DEFINITIONS "AS_BUSNAME=sessionBus;CMAKE_SOURCE_DIR=\"${CMAKE_SOURCE_DIR}\"")
add_dependencies(GreeterContactsTest GreeterContactsTestServerExe)

generate_test(GreeterContactsThreadTest USE_DBUS
              SOURCES GreeterContactsThreadTest.cpp ${LIBTELEPHONYSERVICE_DIR}/greetercontacts.cpp
              LIBRARIES Qt5::Contacts Qt5::Core Qt5::DBus Qt5::Test
              ENVIRONMENT XDG_SESSION_CLASS=greeter XDG_GREETER_DATA_DIR=${CMAKE_BINARY_DIR}/Testing/Temporary
              TASKS --task ${CMAKE_CURRENT_BINARY_DIR}/GreeterContactsTestServerExe --task-name server --ignore-return
              WAIT_FOR org.freedesktop.Accounts)
set_target_properties(GreeterContactsThreadTest PROPERTIES COMPILE_DEFINITIONS "AS_BUSNAME=sessionBus;CMAKE_SOURCE_DIR=\"${CMAKE_SOURCE_DIR}\"")
add_dependencies(GreeterContactsThreadTest GreeterContactsTestServerExe)

generate_test(ToneGeneratorTest USE_DBUS
              SOURCES ToneGeneratorTest.cpp ${LIBTELEPHONYSERVICE_DIR}/tonegenerator.cpp
              LIBRARIES Qt5::Core Qt5::DBus Qt5::Test
              TASKS --task ${CMAKE_CURRENT_BINARY_DIR}/ToneGeneratorMock --task-name tone-gen --ignore-return
              WAIT_FOR com.Nokia.Telephony.Tones)
add_dependencies(ToneGeneratorTest ToneGeneratorMock)

generate_test(CallNotificationTest USE_DBUS
              SOURCES CallNotificationTest.cpp ${LIBTELEPHONYSERVICE_DIR}/callnotification.cpp
              LIBRARIES Qt5::Core Qt5::DBus Qt5::Test
              TASKS --task ${CMAKE_CURRENT_BINARY_DIR}/IndicatorMock --task-name indicator --ignore-return
              WAIT_FOR com.lomiri.TelephonyServiceIndicator)

generate_test(ContactUtilsTest SOURCES ContactUtilsTest.cpp LIBRARIES Qt5::Contacts Qt5::Core Qt5::Test telephonyservice USE_UI)
generate_test(PhoneUtilsTest SOURCES PhoneUtilsTest.cpp LIBRARIES telephonyservice Qt5::Core Qt5::Test USE_UI)
generate_test(ProtocolTest
              SOURCES ProtocolTest.cpp ${LIBTELEPHONYSERVICE_DIR}/protocol.cpp
              LIBRARIES Qt5::Core Qt5::Test
              ENVIRONMENT TELEPHONY_SERVICE_PROTOCOLS_DIR=${CMAKE_CURRENT_SOURCE_DIR}/testProtocols)
generate_test(ProtocolManagerTest
              SOURCES ProtocolManagerTest.cpp
              LIBRARIES Qt5::Core Qt5::Qml Qt5::Test Qt5::DBus Qt5::Contacts telepathy-qt5 telephonyservice
              ENVIRONMENT TELEPHONY_SERVICE_PROTOCOLS_DIR=${CMAKE_CURRENT_SOURCE_DIR}/testProtocols)


generate_telepathy_test(AccountEntryFactoryTest SOURCES AccountEntryFactoryTest.cpp)
generate_telepathy_test(AccountEntryTest SOURCES AccountEntryTest.cpp)
generate_telepathy_test(CallEntryTest SOURCES CallEntryTest.cpp)
generate_telepathy_test(ChatManagerTest SOURCES ChatManagerTest.cpp)
generate_telepathy_test(ChatEntryTest SOURCES ChatEntryTest.cpp)
generate_telepathy_test(OfonoAccountEntryTest SOURCES OfonoAccountEntryTest.cpp)
generate_telepathy_test(TelepathyHelperSetupTest SOURCES TelepathyHelperSetupTest.cpp)
# FIXME: investigate why this test is failing on arm64 / aarch64
if (NOT CMAKE_SYSTEM_PROCESSOR MATCHES "aarch64.*|AARCH64.*")
    generate_telepathy_test(TelepathyHelperTest SOURCES TelepathyHelperTest.cpp)
endif()
generate_telepathy_test(USSDManagerTest SOURCES USSDManagerTest.cpp)

=== Lomiri/Telephony/PhoneNumber/CMakeLists.txt ===
set(PHONENUMBER_SRCS
    phonenumber.h
    phonenumber.cpp
    phoneutils.h
    phoneutils.cpp
    asyoutypeformatter.h
    asyoutypeformatter.cpp
    )

set(PHONENUMBER_QMLS
    PhoneNumberField.qml
    PhoneNumberInput.qml
    PhoneNumber.js
    qmldir
)

include_directories(
    ${LibPhoneNumber_INCLUDE_DIRS}
    )

add_library(telephonyservice-phonenumber-qml SHARED ${PHONENUMBER_SRCS})

target_link_libraries(telephonyservice-phonenumber-qml
    ${LibPhoneNumber_LIBRARIES}
    Qt5::Core
    Qt5::Qml
    Qt5::Quick
    )

set(PHONENUMBER_PLUGIN_DIR ${QT_INSTALL_QML}/Lomiri/Telephony/PhoneNumber)
install(TARGETS telephonyservice-phonenumber-qml DESTINATION ${PHONENUMBER_PLUGIN_DIR})
install(FILES ${PHONENUMBER_QMLS} DESTINATION ${PHONENUMBER_PLUGIN_DIR})

# make the files visible on qtcreator
add_custom_target(phonenumber_QMlFiles ALL SOURCES ${PHONENUMBER_QMLS})


#copy qml files to build dir to make it possible to run without install
add_custom_target(copy_qml)
foreach(QML_FILE ${PHONENUMBER_QMLS})
  add_custom_command(TARGET copy_qml PRE_BUILD
                     COMMAND ${CMAKE_COMMAND} -E
                         copy ${CMAKE_CURRENT_SOURCE_DIR}/${QML_FILE} ${CMAKE_CURRENT_BINARY_DIR}/)
endforeach()

if (NOT ${CMAKE_CURRENT_BINARY_DIR} STREQUAL ${CMAKE_CURRENT_SOURCE_DIR})
    add_dependencies(telephonyservice-phonenumber-qml copy_qml)
endif()

=== tests/common/dbus-services/CMakeLists.txt ===
# copy the services we want to use
set(DBUS_SERVICES_DIR ${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_DATAROOTDIR}/dbus-1/services)

file(COPY ${DBUS_SERVICES_DIR}/org.freedesktop.Telepathy.MissionControl5.service
     DESTINATION ${CMAKE_CURRENT_BINARY_DIR})
file(COPY ${DBUS_SERVICES_DIR}/org.freedesktop.Telepathy.AccountManager.service
     DESTINATION ${CMAKE_CURRENT_BINARY_DIR})
file(COPY ${DBUS_SERVICES_DIR}/ca.desrt.dconf.service
     DESTINATION ${CMAKE_CURRENT_BINARY_DIR})

=== debian/changelog ===
lomiri-telephony-service (0.5.1-1) unstable; urgency=medium

  * New upstream release.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 14 Feb 2023 11:56:36 +0100

=== debian/control ===
Source: lomiri-telephony-service
Section: libs
Priority: optional
Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
Uploaders:
 Mike Gabriel <sunweaver@debian.org>,
 Marius Gripsgard <marius@ubports.com>,
Build-Depends: cmake,
               dbus-test-runner,
               dconf-cli,
               debhelper-compat (= 13),
               gnome-keyring,
               libhistoryservice-dev,
               libicu-dev,
               libmessaging-menu-dev,
               libnotify-dev,
               libphonenumber-dev,
               libtelepathy-qt5-dev,
               libprotobuf-dev,
               libpulse-dev,
               liblomiri-url-dispatcher-dev,
               pkg-config,
               python3,
               qml-module-qttest,
               qtbase5-dev (>= 5.0),
               qtdeclarative5-dev (>= 5.0),
               qtdeclarative5-dev-tools (>= 5.0),
               qtfeedback5-dev,
               qml-module-lomiri-components,
               qml-module-lomiri-layouts,
               qml-module-lomiri-performancemetrics,
               qml-module-lomiri-test,
               qtmultimedia5-dev (>= 5.0),
               qtpim5-dev (>= 5),
               libusermetricsinput-dev,
               telepathy-mission-control-5,
               xvfb <!nocheck>,
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://gitlab.com/ubports/development/core/telephony-service/
Vcs-Browser: https://salsa.debian.org/ubports-team/lomiri-telephony-service/
Vcs-Git: https://salsa.debian.org/ubports-team/lomiri-telephony-service.git

Package: lomiri-telephony-service
Section: misc
Architecture: any
Multi-Arch: foreign
Conflicts: phone-app
Replaces: phone-app
Depends: lomiri-schemas,
         lomiri-history-service,
         libnotify4,
         telepathy-mission-control-5,
         lomiri-sounds,
         tone-generator,
         dconf-cli,
         python3,
         python3-dbus,
         python3-gi,
         ${misc:Depends},
         ${shlibs:Depends},
Suggests: telepathy-ofono
Description: Telephony service components for Lomiri - service daemon
 Telephony service components for Lomiri.
 .
 This package contains the backend components providing the telephony
 features such as calling and texting.

Package: qml-module-lomiri-telephony
Architecture: any
Multi-Arch: same
Depends: lomiri-schemas,
#         qtcontact5-galera[!s390x],
         lomiri-telephony-service (>= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Suggests: telepathy-ofono
Description: Telephony service components for Lomiri - Telephony QML plugin
 Telephony service components for Lomiri.
 .
 This package contains the QML plugin providing the features from the telephony
 service to applications.

Package: qml-module-lomiri-telephony-phonenumber
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
         qml-module-lomiri-components
Description: Telephony service components for Lomiri - PhoneNumber QML plugin
 Telephony PhoneNumber components for Lomiri.
 .
 This package contains the QML plugin providing the features from the telephony
 PhoneNumber to applications.

=== debian/watch ===
version=4
https://gitlab.com/ubports/development/core/telephony-service/tags .*/telephony-service-(\d\S+)\.tar\.gz

## lomiri-telephony-service 0.5.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.5)
-project(telephony-service VERSION 0.5.1 LANGUAGES CXX)
+project(telephony-service VERSION 0.5.3 LANGUAGES CXX)
 set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules)
 
 # Standard install paths
@@ -15,7 +15,7 @@
 # just to make debug easier, print the system processor
 message(STATUS "System processor: ${CMAKE_SYSTEM_PROCESSOR}")
 
-set(TELEPHONY_SERVICE_DIR ${CMAKE_INSTALL_DATADIR}/telephony-service)
+set(TELEPHONY_SERVICE_DIR ${CMAKE_INSTALL_FULL_DATADIR}/telephony-service)
 
 configure_file(config.h.in ${CMAKE_CURRENT_BINARY_DIR}/config.h @ONLY)
 
@@ -41,7 +41,7 @@
 option(SKIP_QML_TESTS "Skip QML tests" OFF)
 option(WANT_UI_SERVICES "Enable build of UI services" ON)
 
-if(CMAKE_CROSSCOMPILING)
+if(NOT CMAKE_CROSSCOMPILING)
     find_program(QMAKE_EXECUTABLE qmake)
     if(QMAKE_EXECUTABLE STREQUAL "QMAKE_EXECUTABLE-NOTFOUND")
         message(FATAL_ERROR "qmake not found")
@@ -100,7 +100,7 @@
 
 enable_testing()
 
-add_definitions(-std=c++11)
+set(CMAKE_CXX_STANDARD 17)
 
 set(DATA_DIR "${CMAKE_SOURCE_DIR}/data")
 # install assets

=== approver/CMakeLists.txt ===

set(qt_SRCS
    approver.cpp
    approverdbus.cpp
    )

set(approver_SRCS main.cpp ${qt_SRCS})
qt5_add_dbus_adaptor(approver_SRCS Approver.xml approver/approverdbus.h ApproverDBus)

include_directories(
    ${TP_QT5_INCLUDE_DIRS}
    ${NOTIFY_INCLUDE_DIRS}
    ${CMAKE_SOURCE_DIR}/libtelephonyservice
    ${CMAKE_CURRENT_BINARY_DIR}
    )

link_directories(${MESSAGING_MENU_LIBRARY_DIRS})

add_executable(telephony-service-approver ${approver_SRCS} ${approver_HDRS})

target_link_libraries(telephony-service-approver
    ${TP_QT5_LIBRARIES}
    ${NOTIFY_LIBRARIES}
    telephonyservice
    Qt5::Contacts
    Qt5::Core
    Qt5::DBus
    Qt5::Gui
    Qt5::Multimedia
    Qt5::Qml
    Qt5::Feedback
    )

enable_coverage(telephony-service-approver)

configure_file(org.freedesktop.Telepathy.Client.TelephonyServiceApprover.service.in org.freedesktop.Telepathy.Client.TelephonyServiceApprover.service)
install(TARGETS telephony-service-approver RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR})
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/org.freedesktop.Telepathy.Client.TelephonyServiceApprover.service DESTINATION share/dbus-1/services)
install(FILES TelephonyServiceApprover.client DESTINATION share/telepathy/clients)
install(FILES 50-com.lomiri.TelephonyServiceApprover.pkla DESTINATION "${CMAKE_INSTALL_FULL_LOCALSTATEDIR}/lib/polkit-1/localauthority/10-vendor.d")
install(FILES com.lomiri.TelephonyServiceApprover.policy DESTINATION share/polkit-1/actions)
install(FILES com.lomiri.TelephonyServiceApprover.xml DESTINATION share/dbus-1/interfaces)

# Create accountsservice symlink for above dbus interface
install(CODE "
execute_process(COMMAND mkdir -p \"\$ENV{DESTDIR}${CMAKE_INSTALL_PREFIX}/share/accountsservice/interfaces\")
execute_process(COMMAND ln -sf ../../dbus-1/interfaces/com.lomiri.TelephonyServiceApprover.xml \"\$ENV{DESTDIR}${CMAKE_INSTALL_PREFIX}/share/accountsservice/interfaces\")
    ")

=== indicator/CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,4 @@
+include(FindGettext)
 
 set(qt_SRCS
     authhandler.cpp
@@ -67,16 +68,22 @@
 # Handle i18n in desktop files
 set(desktop_FILES telephony-service-sms.desktop telephony-service-call.desktop)
 
-foreach(DESKTOP_FILE ${desktop_FILES})
-    file(REMOVE ${CMAKE_CURRENT_BINARY_DIR}/${DESKTOP_FILE})
-    file(STRINGS ${DESKTOP_FILE}.in DESKTOP_FILE_CONTENTS)
-    foreach(LINE ${DESKTOP_FILE_CONTENTS})
-        string(REGEX REPLACE "tr\\\(\"(.*)\"\\\)" "\\1" LINE "${LINE}")
-        file(APPEND ${CMAKE_CURRENT_BINARY_DIR}/${DESKTOP_FILE} "${LINE}\n")
-    endforeach(LINE)
-endforeach(DESKTOP_FILE)
+function(merge_desktop_translations DESKTOP_FILES)
+    foreach(DESKTOP_FILE ${DESKTOP_FILES})
+        add_custom_target(${DESKTOP_FILE} ALL
+            COMMENT "Merging translations into ${DESKTOP_FILE}..."
+            COMMAND ${GETTEXT_MSGFMT_EXECUTABLE}
+                    -d ${CMAKE_SOURCE_DIR}/po
+                    --desktop
+                    --template=${CMAKE_CURRENT_SOURCE_DIR}/${DESKTOP_FILE}.in
+                    -o ${DESKTOP_FILE}
+        )
 
-install(FILES ${CMAKE_CURRENT_BINARY_DIR}/telephony-service-sms.desktop ${CMAKE_CURRENT_BINARY_DIR}/telephony-service-call.desktop
-        DESTINATION ${CMAKE_INSTALL_DATADIR}/applications)
+        install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${DESKTOP_FILE}
+                DESTINATION ${CMAKE_INSTALL_DATADIR}/applications)
+    endforeach()
+endfunction()
+
+merge_desktop_translations("${desktop_FILES}")
 
 add_subdirectory(icons)

=== libtelephonyservice/CMakeLists.txt ===
set(library_SRCS
    accountentry.cpp
    accountentryfactory.cpp
    accountlist.cpp
    audiooutput.cpp
    applicationutils.cpp
    callentry.cpp
    callmanager.cpp
    callnotification.cpp
    channelobserver.cpp
    chatmanager.cpp
    chatentry.cpp
    contactutils.cpp
    contactwatcher.cpp
    greetercontacts.cpp
    ofonoaccountentry.cpp
    participant.cpp
    phoneutils.cpp
    protocol.cpp
    protocolmanager.cpp
    ringtone.cpp
    rolesinterface.cpp
    telepathyhelper.cpp
    tonegenerator.cpp
    ussdmanager.cpp
    )

include_directories(
    ${TP_QT5_INCLUDE_DIRS}
    ${NOTIFY_INCLUDE_DIRS}
    ${LibPhoneNumber_INCLUDE_DIRS}
    ${URL_DISPATCHER_INCLUDE_DIRS})

add_library(telephonyservice STATIC ${library_SRCS} ${library_HDRS})
set_target_properties(telephonyservice PROPERTIES COMPILE_DEFINITIONS AS_BUSNAME=systemBus)
target_link_libraries(telephonyservice
                      ${TP_QT5_LIBRARIES}
                      ${NOTIFY_LIBRARIES}
                      ${LibPhoneNumber_LIBRARIES}
                      ${URL_DISPATCHER_LIBRARIES}
                      Qt5::Contacts
                      Qt5::Core
                      Qt5::DBus
                      Qt5::Feedback
                      Qt5::Multimedia
                      Qt5::Qml
                      Qt5::Quick
                      Qt5::Gui
                      )

enable_coverage(telephonyservice)

=== tests/CMakeLists.txt ===
include (GenerateTest)

add_subdirectory(common)
add_subdirectory(handler)
add_subdirectory(libtelephonyservice)
add_subdirectory(Lomiri.Telephony)

if (WANT_UI_SERVICES)
    add_subdirectory(approver)
    add_subdirectory(indicator)
endif()

=== tests/common/CMakeLists.txt ===
include_directories(${TP_QT5_INCLUDE_DIRS}
                    ${CMAKE_SOURCE_DIR}/libtelephonyservice
                    ${CMAKE_CURRENT_BINARY_DIR}
                    ${GSETTINGS_QT_INCLUDE_DIRS})

configure_file(dbus-session.conf.in ${CMAKE_CURRENT_BINARY_DIR}/dbus-session.conf)

add_executable(NotificationsMock NotificationsMock.cpp)
target_link_libraries(NotificationsMock Qt5::Core Qt5::DBus)

qt5_add_dbus_interface(mockcontroller_SRCS mock/MockConnection.xml MockConnectionInterface)
add_library(mockcontroller STATIC mockcontroller.cpp mockcontroller.h ${mockcontroller_SRCS})
target_link_libraries(mockcontroller Qt5::Core Qt5::DBus)

add_library(telepathytest STATIC telepathytest.cpp telepathytest.h)
target_link_libraries(telepathytest telephonyservice ${TP_QT5_LIBRARIES} ${GSETTINGS_QT_LDFLAGS} Qt5::Core Qt5::DBus)

add_subdirectory(mock)
add_subdirectory(dbus-services)

=== tests/handler/CMakeLists.txt ===
include_directories(
    ${CMAKE_CURRENT_BINARY_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}/../common
    ${CMAKE_SOURCE_DIR}
    ${CMAKE_SOURCE_DIR}/libtelephonyservice
    ${CMAKE_BINARY_DIR}/tests/common
    ${TP_QT5_INCLUDE_DIRS}
    ${GSETTINGS_QT_INCLUDE_DIRS}
    )

generate_telepathy_test(HandlerTest SOURCES HandlerTest.cpp handlercontroller.cpp approver.cpp)

=== tests/libtelephonyservice/CMakeLists.txt ===
--- 
+++ 
@@ -52,7 +52,7 @@
 generate_test(PhoneUtilsTest SOURCES PhoneUtilsTest.cpp LIBRARIES telephonyservice Qt5::Core Qt5::Test USE_UI)
 generate_test(ProtocolTest
               SOURCES ProtocolTest.cpp ${LIBTELEPHONYSERVICE_DIR}/protocol.cpp
-              LIBRARIES Qt5::Core Qt5::Test
+              LIBRARIES Qt5::Core Qt5::Test Qt5::DBus
               ENVIRONMENT TELEPHONY_SERVICE_PROTOCOLS_DIR=${CMAKE_CURRENT_SOURCE_DIR}/testProtocols)
 generate_test(ProtocolManagerTest
               SOURCES ProtocolManagerTest.cpp

=== tests/common/mock/CMakeLists.txt ===
include_directories(
    ${TP_QT5_INCLUDE_DIRS}
    ${Qt5Core_INCLUDE_DIRS}
    ${Qt5DBus_INCLUDE_DIRS}
    ${CMAKE_CURRENT_BINARY_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}
    ${CMAKE_SOURCE_DIR}/libtelephonyservice
    )

find_library(TELEPATHY_QT5_SERVICE_LIBRARIES telepathy-qt5-service)

set(mock_SRCS main.cpp protocol.cpp connection.cpp textchannel.cpp callchannel.cpp
              conferencecallchannel.cpp mockconnectiondbus.cpp speakeriface.cpp
              emergencymodeiface.cpp ussdiface.cpp voicemailiface.cpp)
qt5_add_dbus_adaptor(mock_SRCS MockConnection.xml mockconnectiondbus.h MockConnectionDBus)

add_executable(telepathy-mock ${mock_SRCS})
target_link_libraries(telepathy-mock ${TP_QT5_LIBRARIES} ${TELEPATHY_QT5_SERVICE_LIBRARIES} ${OFONO_QT_LIBRARIES} ${PULSEAUDIO_LIBRARIES} ${Qt5Network_LIBRARIES} Qt5::Core Qt5::DBus)

=== debian/changelog ===
lomiri-telephony-service (0.5.3-1build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 17:56:26 +1100

lomiri-telephony-service (0.5.3-1build2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 05:46:00 +0000

lomiri-telephony-service (0.5.3-1build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 05:35:08 +0000

lomiri-telephony-service (0.5.3-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright:
    + Update copyright attribution for debian/.
    + Update auto-generated copyright.in file.
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 01 Feb 2024 22:23:39 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: lomiri-telephony-service
 Section: libs
 Priority: optional
-Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
 Uploaders:
  Mike Gabriel <sunweaver@debian.org>,
  Marius Gripsgard <marius@ubports.com>,

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
export DPKG_GENSYMBOLS_CHECK_LEVEL=4

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# Skip qml tests on the archs they are known to be flaky with current configuration
# Ref.: https://bugs.launchpad.net/ubuntu/+source/mesa/+bug/1585942
qmltestskip_architectures := arm64 powerpc s390x

%:
	dh $@

override_dh_auto_install:
	dh_auto_install
	rm debian/tmp/usr/bin/phone-gsettings-migration.py

override_dh_missing:
	dh_missing --fail-missing

override_dh_auto_configure:
ifeq ($(DEB_HOST_ARCH),$(findstring $(DEB_HOST_ARCH), $(qmltestskip_architectures)))
	dh_auto_configure -- -DCMAKE_BUILD_TYPE=Debug \
	                     -DSKIP_QML_TESTS="on"
else
	dh_auto_configure -- -DCMAKE_BUILD_TYPE=Debug
endif

#override_dh_auto_test:
#ifeq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
#ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
#	QT_QPA_PLATFORM=minimal CTEST_OUTPUT_ON_FAILURE=1 dh_auto_test --no-parallel
#endif
#endif

# Disable unit tests for now, they hang for an indefinite amount of time at unit test 26
override_dh_auto_test:

override_dh_installsystemduser:
	dh_installsystemduser --package=lomiri-telephony-service --name=lomiri-telephony-service-indicator
	dh_installsystemduser --package=lomiri-telephony-service --name=lomiri-telephony-service-approver

get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=..
